## ros-noetic-velodyne-pcl 1.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(velodyne_pcl)

find_package(catkin REQUIRED COMPONENTS pcl_ros roslint)

roslint_cpp()

if(CATKIN_ENABLE_TESTING)
  roslint_add_test()
endif()

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS pcl_ros
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-noetic-velodyne-pcl (1.7.0-1focal) focal; urgency=high

  * Use std::uint16_t to reduce build warnings from PCL (#449 <https://github.com/ros-drivers/velodyne/issues/449>)
  * Contributors: icolwell-as

 -- Josh Whitley <josh.whitley@autoware.org>  Fri, 08 Jul 2022 05:00:00 -0000

ros-noetic-velodyne-pcl (1.6.1-1focal) focal; urgency=high

  * Fix typo in velodyne_pcl/point_types.h (#357 <https://github.com/ros-drivers/velodyne/issues/357>)
    Fixes an issue where the POINT_CLOUD_REGISTER_POINT_STRUCT function was using the old PointXYZIR and not PointXYZIRT.
  * Contributors: Matthew Hannay

 -- Josh Whitley <josh.whitley@autoware.org>  Mon, 09 Nov 2020 06:00:00 -0000

ros-noetic-velodyne-pcl (1.6.0-1focal) focal; urgency=high

  * Velodyne pcl (#335 <https://github.com/ros-drivers/velodyne/issues/335>)
    * fix time assignment in organized cloud container
    * add velodyne_pcl package with point_types.h
    * rename containers to cover the added time property
    * Adding roslint to velodyne_pcl. (#1 <https://github.com/ros-drivers/velodyne/issues/1>)
    * Update CMake version to 3.5
    * Update package.xml to Format2 and package version to 1.5.2
    Co-authored-by: Joshua Whitley <mailto:josh.whitley@autoware.org>
  * Contributors: Sebastian Pütz

 -- Josh Whitley <josh.whitley@autoware.org>  Thu, 09 Jul 2020 05:00:00 -0000

ros-noetic-velodyne-pcl (1.5.2-1focal) focal; urgency=high



 -- Josh Whitley <josh.whitley@autoware.org>  Mon, 28 Jan 2019 06:00:00 -0000

ros-noetic-velodyne-pcl (1.5.1-1focal) focal; urgency=high



 -- Josh Whitley <josh.whitley@autoware.org>  Mon, 10 Dec 2018 06:00:00 -0000

ros-noetic-velodyne-pcl (1.5.0-1focal) focal; urgency=high



 -- Josh Whitley <josh.whitley@autoware.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-noetic-velodyne-pcl (1.4.0-1focal) focal; urgency=high



 -- Josh Whitley <josh.whitley@autoware.org>  Wed, 19 Sep 2018 05:00:00 -0000

ros-noetic-velodyne-pcl (1.3.0-1focal) focal; urgency=high

  * remove velodyne_pcl from velodyne stack trunk
  * make INFO message on every pointcloud a DEBUG message
  * finished reorganization + splitting up of the nodes + changed velodyne/pcl_points2 topic name to velodyne/pointcloud
  * reorganized the package, and renamed ExamplePublisher to Publisher
  * run transform2 nodelet
  * fixed issues in nodelets, equated nodes to match nodelets - there was some issue with using KdTree in the nodelet that I did not have time to debug - so it has been removed
  * created example nodelets for the corresponding nodes
  * some pretty printing + fixed subscriber to do euclidean cluster extraction using PCL
  * fixed bugs in example code
  * added a couple of examples using the pcl_ros bridge
  * add waitForTransform() before transforming point cloud packet
  * change convertPoints() to use PointCloud2ConstPtr for input
  * add nodelet to assign colors to laser rings for visualization
  * remove redundant typedefs
  * add transform2 nodelet unit test
  * add PCL transform to transform2 nodelet
  * check in omitted nodelets.xml update
  * create initial transform2 nodelet from cloud2 nodelet
  * nodelet test now works, remove "broken" label
  * set svn:keywords props to Id
  * publish PointCloud2 for each scan in nodelet
  * Prepare cloud2 nodelet for accumulating data for a whole scan (incomplete).
    Add Velodyne::xyz_scans_t typedef.
  * set Id property on test files
  * add simple unit tests of node and nodelet publication
    rates -- nodelet currently fails the test
  * remove cerr printing, nodelet now runs
  * fixed nodelets.xml so that nodelet is correctly visible
  * use new point_types header in nodelet, too
  * Add exported header file for custom Velodyne point types.
    Use new velodyne::PointXYZIR custom point type in cloud2 node.
    Print std::cerr message when nodelet methods entered (nothing shows).
  * fixed issue with custom pcl point type in cloud2_nodelet
  * library path correction
  * small nodelet improvements
  * Make Velodyne:: namespace references explicit.
    Accumulate data using PointCloud<PointXYZI> instead of PointCloud2.
    Delete some unnecessary cruft.
  * comment out enough so nodelet will at least compile
  * add nodelets.xml export
  * experimental stack for PCL output
  * Contributors: austinrobot, jack.oquin, piyushk

 -- Josh Whitley <josh.whitley@autoware.org>  Fri, 10 Nov 2017 06:00:00 -0000

=== debian/control ===
Source: ros-noetic-velodyne-pcl
Section: misc
Priority: optional
Maintainer: Josh Whitley <josh.whitley@autoware.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-pcl-ros, ros-noetic-roslint
Homepage: http://wiki.ros.org/velodyne_pcl
Standards-Version: 3.9.2

Package: ros-noetic-velodyne-pcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-pcl-ros
Description: The velodyne_pcl package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-velodyne-pcl//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
